Cyberduck Mountain Duck CLI

#6069 closed defect (fixed)

Application closes choosing Upload → Computer

Reported by: hciftci Owned by: dkocher
Priority: normal Milestone: 4.2
Component: interface Version: 4.1
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Windows XP

Description (last modified by dkocher)

Steps I made:

  • Installation
  • Imported Bookmarks from Filezilla
  • Connecting to a SFTP server
  • Press Upload Button on the toolbar
  • In the "Open"-window i press Computer or Network

Result: Cyberduck seems to crash, the whole programm shuts down and i have to start it again. Problem is reproducable.

My system:

Windows XP SP2

.NET versions installed

  • 1.1
  • 2.0 SP2
  • 3.0 SP2
  • 3.5 SP1
  • 4 Client Profile

Change History (11)

comment:1 Changed on Jul 13, 2011 at 8:49:36 AM by yla

  • Component changed from core to interface
  • Milestone set to 4.1.1
  • Owner set to dkocher

comment:2 Changed on Jul 13, 2011 at 9:05:14 AM by dkocher

  • Description modified (diff)

comment:3 Changed on Sep 16, 2011 at 6:25:42 PM by dkocher

Please post the cyberduck.log located in AppData.

comment:4 Changed on Sep 26, 2011 at 8:27:01 PM by dkocher

From this thread on the mailing list.

2011-09-16 11:53:34,358 [Thread-0] ERROR
Ch.Cyberduck.Ui.Winforms.BrowserForm - Exception while upload
selection
cli.System.ArgumentException: Illegal characters in path.
2011-09-16 11:53:48,485 [Thread-0] ERROR
Ch.Cyberduck.Ui.Winforms.BrowserForm - Exception while upload
selection
cli.System.ArgumentException: Illegal characters in path.
2011-09-16 13:30:38,606 [Thread-0] ERROR
Ch.Cyberduck.Ui.Winforms.BrowserForm - Exception while upload
selection
cli.System.ArgumentException: Illegal characters in path.
2011-09-16 13:44:49,509 [Thread-0] ERROR
Ch.Cyberduck.Ui.Winforms.BrowserForm - Exception while upload
selection
cli.System.ArgumentException: Illegal characters in path.
2011-09-16 14:28:14,807 [Thread-0] ERROR
Ch.Cyberduck.Ui.Winforms.BrowserForm - Exception while upload
selection
cli.System.ArgumentException: Illegal characters in path.
2011-09-16 14:42:58,971 [Thread-0] ERROR
Ch.Cyberduck.Ui.Winforms.BrowserForm - Exception while upload
selection
cli.System.ArgumentException: Illegal characters in path.
2011-09-16 14:44:55,301 [Thread-0] ERROR
Ch.Cyberduck.Ui.Winforms.BrowserForm - Exception while upload
selection
cli.System.ArgumentException: Illegal characters in path.
2011-09-16 14:45:03,295 [Thread-0] ERROR
Ch.Cyberduck.Ui.Winforms.BrowserForm - Exception while upload
selection
cli.System.ArgumentException: Illegal characters in path.
2011-09-19 09:32:18,160 [Thread-0] ERROR
Ch.Cyberduck.Ui.Winforms.BrowserForm - Exception while upload
selection
cli.System.ArgumentException: Illegal characters in path.

comment:5 Changed on Sep 27, 2011 at 7:35:07 AM by dkocher

  • Milestone changed from 4.1.3 to 4.2

comment:6 Changed on Nov 18, 2011 at 9:58:23 AM by dkocher

  • Milestone changed from 4.2 to 4.3

Milestone 4.2 deleted

comment:7 Changed on Nov 20, 2011 at 2:59:06 PM by dkocher

  • Milestone changed from 4.3 to 4.2
  • Summary changed from Application closes when pressing Upload -> Computer to Application closes choosing Upload → Computer

comment:8 Changed on Nov 20, 2011 at 2:59:18 PM by dkocher

#6378 closed as duplicate.

comment:9 Changed on Nov 26, 2011 at 9:14:54 AM by mikk

Confirmed, crashed on Windows XP SP3. Tested on 9320.

comment:10 follow-up: Changed on Nov 26, 2011 at 2:27:06 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r9322.

comment:11 in reply to: ↑ 10 Changed on Nov 26, 2011 at 3:28:01 PM by mikk

Replying to yla:

In r9322.

Confirmed, tested on WinXP SP3, CD rev 9322, this is working. Good job.

Note: See TracTickets for help on using tickets.
swiss made software